Skip to main content

Request a Single Data Return (SDR) submission token.

Request a submission token to submit SDR data against a return.

This endpoint can be called multiple times and may return the same or a new submission token - however the submission will be refer to the same return period

The validity timeout of the token will be included - the token may be reused until the stated expiry.

A submitted Actual SDR return must be cancelled before another token can be requested. Its token cannot be renewed.

This endpoint is scoped to the authenticated EDUMIS ID.

Path Parameters
returnId int32 — REQUIRED

The return ID to submit data against

Header Parameters
EID string — REQUIRED

Enter the EDUMIS (Organisation) ID

Responses
200

Submission details including a submission token and a token expiry

Schema — OPTIONAL
submissionToken string — OPTIONAL

The submission token.

tokenExpiry date-time — OPTIONAL

The date and time that this token will expire

maxRecordPerBatch int32 — OPTIONAL

The maximum number of records per batch that can be send in a single request.

The record count is the sum of the number of records in the content submission ie courses, learners, course enrolments, course completions, qualification completions

returnId int64 — OPTIONAL

Thereturn ID that this submission is associated to.

edumis int32 — OPTIONAL

The EDUMIS number of the organisation that the submission is being made for.

returnYear int32 — OPTIONAL

The year that the submission is being made in the format CCYY.

returnMonth int32 — OPTIONAL

The month that the submission is being made.

submissionStatus string — OPTIONAL

The status of the submission. Pending - The submission is still in progress. Validating - The submission is currently undergoing validation. Validated - The submission has been validated. Submitted - The submission has passed validation and has been submitted for TEC validation. Cancelled - The submission has been cancelled. Closed - The submission has been closed.

submissionType string — OPTIONAL

The return type. Full - Full SDR return. Indicative - Indicative SDR return.

submissionContentsUrl string — OPTIONAL

A URL for retrieving submission contents in CSV format.

validationRunResults object[] — OPTIONAL

Validation results for each attempted run.

submissionToken string — OPTIONAL

The submission token

dateReceived date-time — OPTIONAL

The date that the validation request was received.

dateStarted date-time — OPTIONAL

The date that the validation run was started.

dateCompleted date-time — OPTIONAL

The date that the validation run was completed.

status string — OPTIONAL

Possible values: [Accumulate, RollBack, Cancelled, FailedToTransfer, Halted, InProgress, Processed, Queued, Rejected, Submitted, ContactSupport, SubmitError]

The status of the current submission for this return.

errorCount int32 — OPTIONAL

The number of errors that occurred

warningCount int32 — OPTIONAL

The number of warnings that occured

400

Return not found or accessible - check error code for more detail

Schema — OPTIONAL
type string — OPTIONAL
title string — OPTIONAL
status int32 — OPTIONAL
detail string — OPTIONAL
instance string — OPTIONAL
errors object — OPTIONAL
returnId string — OPTIONAL
submissionToken string — OPTIONAL
content object — OPTIONAL
errorCode string — OPTIONAL
401

Authorization failed

Schema — OPTIONAL
type string — OPTIONAL
title string — OPTIONAL
status int32 — OPTIONAL
detail string — OPTIONAL
instance string — OPTIONAL
409

An uncancelled submitted Actual SDR return already exists

Schema — OPTIONAL
type string — OPTIONAL
title string — OPTIONAL
status int32 — OPTIONAL
detail string — OPTIONAL
instance string — OPTIONAL
errors object — OPTIONAL
returnId string — OPTIONAL
submissionToken string — OPTIONAL
content object — OPTIONAL
errorCode string — OPTIONAL
429

Concurrent token or submission request not allowed

Schema — OPTIONAL
type string — OPTIONAL
title string — OPTIONAL
status int32 — OPTIONAL
detail string — OPTIONAL
instance string — OPTIONAL